Get Unlock Timeseries Data per Interval
curl --request GET \
--url https://api.messari.io/token-unlocks/v1/assets/{assetId}/unlocks \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/token-unlocks/v1/assets/{assetId}/unlocks"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/token-unlocks/v1/assets/{assetId}/unlocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": {
"asset": {
"id": "b3d5d66c-26a2-404c-9325-91dc714a722b",
"name": "Solana",
"slug": "solana",
"symbol": "SOL"
},
"genesisDate": "2020-04-07T00:00:00Z",
"projectedEndDate": "2029-03-01T00:00:00Z",
"startDate": "2020-04-07T00:00:00Z",
"endDate": "2021-04-07T00:00:00Z",
"interval": "MONTHLY",
"totalSnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"unlockedInPeriodUSD": 1553853121.763593,
"unlockedInPeriodNative": 8225000
},
{
"timestamp": "2020-05-07T00:00:00Z",
"unlockedInPeriodUSD": 1546768685.038227,
"unlockedInPeriodNative": 8187500
},
{
"timestamp": "2020-06-07T00:00:00Z",
"unlockedInPeriodUSD": 1546768685.038227,
"unlockedInPeriodNative": 8187500
},
{
"timestamp": "2020-07-07T00:00:00Z",
"unlockedInPeriodUSD": 1546768685.038227,
"unlockedInPeriodNative": 8187500
},
{
"timestamp": "2020-08-07T00:00:00Z",
"unlockedInPeriodUSD": 1546768685.038227,
"unlockedInPeriodNative": 8187500
}
],
"allocations": [
{
"allocationRecipient": "Team",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-05-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-06-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-07-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-08-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
}
]
},
{
"allocationRecipient": "Strategic Sale",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-05-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-06-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-07-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-08-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
}
]
},
{
"allocationRecipient": "Coinlist Auction Sale",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"unlockedInPeriodUSD": 1549130163.9466825,
"unlockedInPeriodNative": 8200000
},
{
"timestamp": "2020-05-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-06-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-07-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-08-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
}
]
},
{
"allocationRecipient": "Community Reserve",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-05-07T00:00:00Z",
"unlockedInPeriodUSD": 1546768685.038227,
"unlockedInPeriodNative": 8187500
},
{
"timestamp": "2020-06-07T00:00:00Z",
"unlockedInPeriodUSD": 1546768685.038227,
"unlockedInPeriodNative": 8187500
},
{
"timestamp": "2020-07-07T00:00:00Z",
"unlockedInPeriodUSD": 1546768685.038227,
"unlockedInPeriodNative": 8187500
},
{
"timestamp": "2020-08-07T00:00:00Z",
"unlockedInPeriodUSD": 1546768685.038227,
"unlockedInPeriodNative": 8187500
}
]
},
{
"allocationRecipient": "Seed Round Investors",
"dailySnapshots": [
{
"timestamp": "2020-04-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-05-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-06-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-07-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
},
{
"timestamp": "2020-08-07T00:00:00Z",
"unlockedInPeriodUSD": 0,
"unlockedInPeriodNative": 0
}
]
}
]
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Token Unlocks
Get Asset Unlocks
Returns interval-based unlock timeseries data for a given asset and interval
GET
/
token-unlocks
/
v1
/
assets
/
{assetId}
/
unlocks
Get Unlock Timeseries Data per Interval
x402 Support: Supported.
See the x402 guide.
Authorizations
Path Parameters
Asset identifier - accepts either slug (e.g. 'solana') or UUID
Example:
"solana"
Query Parameters
RFC3339 formatted start time
Example:
"2025-01-20T00:00:00Z"
RFC3339 formatted end time
Example:
"2025-02-01T00:00:00Z"
Aggregation interval for unlock data
Available options:
DAILY, WEEKLY, MONTHLY, QUARTERLY, YEARLY Example:
"WEEKLY"
⌘I

